%define durl http://www.ibiblio.org/pub/Linux/ALPHA/wine/development/

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

# Danny: Define macro used to control build options for LMDK distributions
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}


Summary:	Windows Emulator (Binary Emulator)
Name:		wine
Version:	20030115
Release:	4mdk
License:	LGPL
Group:		Emulators
URL:		http://www.winehq.com/

Source:	%{durl}/Wine-%version.tar.bz2

# new regdefaults (rcc):
Source1:	wine-20030115-regdefaults.tar.bz2

# RH stuff
Source2:        wine.init

#ensure DESTDIR (rcc: updated)
Patch1: wine-20021219-destdir.patch.bz2
#patch for autofs from rcc:
Patch2: wine-20030115-autofs.patch.bz2
# Danny: autoconf 2.52 patch
Patch3: wine-20020710-oldautoconf.patch.bz2
# viet: patch to help configure to find libs
Patch4: wine-20030115-configure.ac.patch.bz2

# MDK specific stuff
Source100:	make_a_windows_system.sh
Source103:	wine-config.pl
Source104:	wine-launcher.sh
Patch100:	wine-20030115-mdkconf.patch.bz2
# process pending events and messages before painting
Patch101:	wine-20011226-debian.patch.bz2
Patch102:	wine-20020509-fonts.patch.bz2

Buildroot: %{_tmppath}/%{name}-root
ExclusiveArch:	%{ix86}
BuildRequires:	bison flex gcc gpm-devel libMesaGLU-devel perl-devel ncurses-devel sgml-tools XFree86-devel xpm-devel libsane-devel
BuildRequires:  freetype2-devel autoconf2.5 docbook-utils docbook-dtd-sgml cups-devel


#Danny: for older versions, depend on libarts3.
%if %buildfor8_2
BuildRequires: libarts3-devel
%else
BuildRequires: libarts-devel
%endif

Requires:  freetype2
Requires:  setup >= 2.2.0-10mdk
#Only when using generic winelauncher:
#Requires:  X11R6-contrib
%if !%buildfor8_2
Prereq: rpm-helper
%endif

%description
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package consists of the emulator program for running windows executables.

Wine is often updated.

%package -n %{name}-utils
Summary: Wine Emulator (Utilities)
Group: Emulators
Requires: %{name} = %{version}

%description -n %{name}-utils
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package consists many of the utilities provided by wine, both 
for compiling source using winelib and for running wine.  This
package is not strictly necessary.

Wine is often updated.

%package -n %{lib_name}
Summary: Main library for %{lib_name_orig}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}
Requires(pre): /bin/sed, /bin/awk, /bin/egrep

%description -n %{lib_name}
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

Wine is often updated.

%package -n %{lib_name}-devel
Summary: Static libraries and headers for %{lib_name_orig}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: wine-devel
Provides: wine-devel

%description -n %{lib_name}-devel
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

%{lib_name}-devel contains the libraries and header files needed to
develop programs which make use of wine.

Wine is often updated.

%prep
%setup -q -a 1
find . -type d -name CVS|xargs rm -rf

%patch1 -p1 -b .destdir
%patch2 -p1 -b .autofs

%if %buildfor8_2
    %patch3 -p1 -b .danny 
%endif


%patch100 -p1
#%patch101 -p1 -b .debian
#%patch102 -p1 -b .fonts

%build
#Danny: maybe disable autoconf on =< 8.2, this would solve problems with version reporting!
autoconf-2.5x

#Danny: works again with gcc 3.2
%if %buildfor8_2
    export CFLAGS=`echo %optflags|sed s/-O3/-O2/`
%endif

%configure2_5x \
	--enable-dll \
	--with-x \
	--prefix=%_prefix \
	--enable-opengl

#Danny: Fix O3 compiling (maybe better solutution is to patch configure):
cat include/config.h |sed 's/".def " __ASM_NAME(name) "; .scl 2; .type 32; .endef"/".type " __ASM_NAME(name) ",@function"/' > include/config.h.tmp

mv include/config.h.tmp include/config.h

make depend
%make
%make -C programs
%make -C programs/regapi
%make -C documentation wine-doc/index.html

%install
%makeinstall_std LDCONFIG=/bin/true 

mkdir -p $RPM_BUILD_ROOT/etc/wine
install -c -m 0644 regdefaults/wine.*reg $RPM_BUILD_ROOT/etc/wine/
# rcc: changed to sample config
install -c -m 0644 documentation/samples/config $RPM_BUILD_ROOT/etc/wine/config

rm -f %{buildroot}%{_libdir}/wine/libwine.so*
rm -f %{buildroot}%{_libdir}/wine/libwine_unicode* 
rm -f %{buildroot}%{_libdir}/wine/libwine_tsx11*
rm -f %{buildroot}%{_libdir}/wine/*.a 


# rcc: this is dirty but the symlinks have daft content && are in the wrong dir
# rcc: anybody please tell me why this is
test -L %{buildroot}%{_libdir}/wine/libgdi32.dll.so && rm -f %{buildroot}%{_libdir}/wine/libgdi32.dll.so
test -L %{buildroot}%{_libdir}/wine/libkernel32.dll.so && rm -f %{buildroot}%{_libdir}/wine/libkernel32.dll.so
test -L %{buildroot}%{_libdir}/wine/libntdll.dll.so && rm -f %{buildroot}%{_libdir}/wine/libntdll.dll.so
test -L %{buildroot}%{_libdir}/wine/libuser32.dll.so && rm -f %{buildroot}%{_libdir}/wine/libuser32.dll.so

ln -sf wine/gdi32.dll.so %{buildroot}%{_libdir}/libgdi32.dll.so
ln -sf wine/kernel32.dll.so %{buildroot}%{_libdir}/libkernel32.dll.so
ln -sf wine/ntdll.dll.so %{buildroot}%{_libdir}/libntdll.dll.so
ln -sf wine/user32.dll.so %{buildroot}%{_libdir}/libuser32.dll.so


%makeinstall -C documentation  prefix=$RPM_BUILD_ROOT%{_prefix}
#whatever this was, it is now gone:
#cp programs/winetest/{include/,}wine.pm
%makeinstall -C programs	prefix=$RPM_BUILD_ROOT%{_prefix}
%makeinstall -C programs/regapi	prefix=$RPM_BUILD_ROOT%{_prefix}

mv %buildroot/%_bindir/wine %buildroot/%_bindir/wine.bin
install -m755 %{SOURCE104} %buildroot/%_bindir/wine
mkdir -p %{buildroot}/usr/share/%{name}
install -D -m755 %{SOURCE103} %{buildroot}/usr/share/%{name}/wine-config

# rcc: add sample configs
mkdir -p %{buildroot}/usr/share/%{name}/configsamples
install documentation/samples/* %{buildroot}/usr/share/%{name}/configsamples


%{expand:%(%__cat %{SOURCE100})}

# Danny: dirty:
install -c tools/fnt2bdf %{buildroot}/%_bindir/fnt2bdf
install -c programs/regapi/regapi %{buildroot}/%_bindir/regapi

# Allow users to launch Windows programs by just clicking on the .exe file...
mkdir -p $RPM_BUILD_ROOT%_initrddir
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%_initrddir/%{name}

export DONT_GPRINTIFY=1

%clean
rm -fr $RPM_BUILD_ROOT

%pre
%if !%buildfor8_2
    %_pre_groupadd wine
%endif

%preun
%_preun_service %{name}

%post
%_post_service %{name}

%postun
current_is_8_2=`(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)`
if [ $current_is_8_2 = "0" ]; then
%_postun_groupdel wine
fi

%post -n %{lib_name}
grep -q "^/usr/lib/wine$" /etc/ld.so.conf || echo "/usr/lib/wine" >> /etc/ld.so.conf
/sbin/ldconfig

%postun -n %{lib_name}
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v -e "/usr/X11R6/lib/wine" -e "/usr/lib/wine" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS BUGS LICENSE README documentation/wine-doc

%config(noreplace) /etc/%{name}
%config(noreplace) %_initrddir/*

# rcc: that was me
#%{_libdir}/wine/lib*.so*
%{_libdir}/lib*.dll.so
%{_bindir}/wine.bin
%{_bindir}/wine
%{_bindir}/wineconsole*
%{_bindir}/wineserver
#%{_bindir}/winelauncher
%_bindir/wineboot
%{_bindir}/function_grep.pl
%{_bindir}/wineclipsrv
%{_bindir}/wineshelllink
#%{_bindir}/dosmod
%{_mandir}/man1/wine.1*
%{_mandir}/man5/wine.conf.5*

%attr(0775, root, wine) %dir /var/lib/wine
%attr(0775, root, wine) %dir /var/lib/wine/windows
%attr(0775, root, wine) %dir /var/lib/wine/windows/system
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles/Administrator
%attr(0775, root, wine) %dir /var/lib/wine/windows/Desktop
%attr(0775, root, wine) %dir /var/lib/wine/windows/Favorites
%attr(0775, root, wine) %dir /var/lib/wine/windows/Fonts
%attr(0775, root, wine) %dir /var/lib/wine/windows/NetHood
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs/Startup"
%attr(0775, root, wine) %dir /var/lib/wine/windows/Recent
%attr(0775, root, wine) %dir /var/lib/wine/windows/SendTo
%attr(0775, root, wine) %dir /var/lib/wine/windows/ShellNew
%attr(0775, root, wine) %dir /var/lib/wine/windows/system32
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files"
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files/Common Files"
%attr(0775, root, wine) %dir "/var/lib/wine/My Documents"
/var/lib/wine/windows/system/*dll

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}-config

%{_datadir}/%{name}/configsamples/config*
%{_datadir}/%{name}/configsamples/system.ini
%{_datadir}/%{name}/configsamples/win.ini
%{_datadir}/%{name}/configsamples/generic.ppd


%config(noreplace) /var/lib/wine/autoexec.bat
%config(noreplace) /var/lib/wine/config.sys
%attr(0664, root, wine) %config(noreplace) /var/lib/wine/windows/win.ini
%attr(0664, root, wine) %config(noreplace) /var/lib/wine/windows/system.ini

%files -n %{lib_name}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libwine*.so.*
#Danny: Only add libs not for utils:
%{_libdir}/%{name}/*.drv.so
%{_libdir}/%{name}/*.dll.so
%{_libdir}/%{name}/*.acm.so
%{_libdir}/%{name}/*.ocx.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc DEVELOPERS-HINTS ChangeLog BUGS LICENSE
%{_libdir}/*.a
%{_libdir}/libwine*.so
%{_libdir}/%name/*.def
%_includedir/*
/usr/share/aclocal/*
%{_bindir}/wmc
%{_mandir}/man1/wmc.1*
%{_bindir}/wrc
%{_mandir}/man1/wrc.1*
%{_bindir}/winebuild
%{_mandir}/man1/winebuild.1*

%files -n %{name}-utils
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/fnt2bdf
%{_bindir}/notepad
%{_libdir}/%{name}/*.exe.so

%{_bindir}/progman
%{_bindir}/regapi
%{_bindir}/regedit
%{_bindir}/uninstaller
%{_bindir}/wcmd
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/winhelp
%_bindir/regsvr32
%_bindir/widl
%_bindir/winefile
%_bindir/winegcc
%_bindir/winelauncher
%_bindir/winewrap
%{_mandir}/man1/winemaker.1*

%changelog
* Wed Feb 12 2003 H Quc-Vit <viet@mandrakesoft.com> 20030115-4mdk
- thanks to Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr>
        o replaced make install DESTDIR=%%buildroot with %%makeinstall_std
- thanks to Chmouel Boudjnah <chmouel@mandrakesoft.com>
        o added a test against /proc/sys/fs/binfmt_misc in init.d/wine
	
* Thu Feb 11 2003 H Quc-Vit <viet@mandrakesoft.com> 20030115-3mdk
- thanks to Danny Tholen <obiwan@mailmij.org> and
  rcc <rickscafe.casablanca@gmx.net>:
        o replaced %makeinstall with make install DESTDIR=%%buildroot
	  to fix unicode.h clash with libunicode-devel

* Thu Jan 23 2003 H Quc-Vit <viet@mandrakesoft.com> 20030115-2mdk
- Danny Tholen <obiwan@mailmij.org>:
        o fixes in wineconfig for 2k/NT/XP systems
        o run wine through arts/esd
        o spec file cleanup
- rcc <rickscafe.casablanca@gmx.net>:
        o new mdkconfig
        o new regdefaults
        o autofs patch
- Patch4 wine-20030115-configure.ac to help configure find some libs

* Thu Jan 16 2003 H Quc-Vit <viet@mandrakesoft.com> 20030115-1mdk
- new release

* Thu Jan 16 2003 H Quc-Vit <viet@mandrakesoft.com> 20021219-1mdk
- new release
- added WINEDLLPATH to wine-launcher.sh
- added /usr/lib/wine to LD_LIBRARY_PATH in wine-launcher.sh
- updated wine-20021219-destdir.patch.bz2 to use RPM_BUILD_ROOT and thus
  simplify the spec
- added the few additional files to their respective rpm
  
* Thu Nov 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20021007-2mdk
- wine-config : fix cdrom bug

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20021007-1mdk
- new release
- remove patch 102 (merged upstream)
- clean -b flags that were blindly copied by mdk club packager

* Wed Sep 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020804-3mdk
- prereq: rpm-helper
- use default wine version of system.ini and win.ini

* Tue Sep 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020804-2mdk
- fix launch wrapper & configurator

* Mon Aug 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020804-1mdk
- rcc <rickscafe.casablanca@gmx.net>
	o New Snapshot
        o patched mdkconf
        o use sample config
        o enabble artsdrv in config
	o adjust font paths
	o wine-config is in winelauncher now
	o removed obsolete redhat patch
	o win and system ini now created by wine, not by make_a_windows_system
	o added /usr/share/wine/configsamples
- Danny Tholen <obiwan@mailmij.org> :
	o Fix O3 compiling for new snapshot.
	o rewrote winelaucher script 
	o Move some files from lib to utils.
	o Rewritten wine-config.pl, thanks Jrme Martin <jerome.f.martin@free.fr>
* Wed Jul 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020710-1mdk
- Danny Tholen <obiwan@mailmij.org> :
	o Cleanup spec file.
	o Update (Build)requires
	o Build with -O3 again for 9.0.
	o 20020710 snapshot
	o enable build for club/8.2
	o patch for PACKAGE_NAME with autoconf-2.52 (Jon Griffiths
	  <jon_p_griffiths@yahoo.com>).
	  Alternative is to use standard configure, and not rebuild it.
	o updated patches
	o Removed patch 5 (obsolete), 6 (cannot apply) and 106 (obsolete).

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020509-2mdk
- add new tool : winepath
- explicitly buildrequires freetype2-devel
- update tchar patch
- double MAX_FONTS size [Patch105]
- explicitely load freetype.so.6 [Patch106]
- reintroduce regapi

* Fri May 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020509-1mdk
- new snapshot (20020509)
- remove useless prefix
- build with gcc-3.1

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-2mdk
- add tchar.h to list of headers to install in include/Makefile.in [Patch102]
- add regedit to wine-utils
- BuildRequires: libarts-devel (aRts driver), libsane-devel (twain support)

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-1mdk
- 20020411 snapshot

* Mon Apr 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020327-2mdk
- use %%_initrddir rather than /etc/rc.d/init.d
- s!autoconf!autoconf-2.5x!g
- build html docs (based on gotz suggestion)
- LGPL instead of MIT license (several reports (gotz and others))
- Gtz Waschk :
	- call autoconf
	- use %%configure2_5x
	- lower optimization level (O3 => O2)

* Fri Apr 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020327-1mdk
- 20020327 snapshot
- remove %Packager reference to prevent dadou to be "spammed"
- rearrange the spec to ease comparison with rh
- get rid of merged patche parts
- document previous patches
- default emulate WinME, not anymore the old windows 3.1 [Patch5]
- a few more macros usage
- don't use glibc private functions (__libc_fork) [Patch4]
- auto-generate default config if none exists [Patch3,Patch6]
- adapt old patch for /etc/wine/... [Patch100]
- add LICENSE file to all packages
- add wineconsole,winelauncher and function_grep.pl

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 20011226-4mdk
- BuildRequires

* Fri Jan 18 2002 David BAUDENS <baudens@mandrakesoft.com> 20011226-3mdk
- Fix %%preun - Thanks to Andre Duclos

* Tue Jan  8 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20011226-2mdk
- libwine-devel provides/obsoletes wine-devel.

* Fri Jan  4 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20011226-1mdk
- 20011226.
- New libwine libwine-devel and wine-utils packages.
- New init scripts.
- Put config files in /etc/wine.
- New auto configurator.
- Merge with rh patches.

* Wed Nov 21 2001 David BAUDENS <baudens@mandrakesoft.com> 20011108-1mdk
- 20011108

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 20010824-2mdk
- BuildRequires: XFree86-devel
- Provides: wine-debug (make rpmplint happy)

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010824-1mdk
- 20010824.

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 20010731-2mdk
- BuildRequires: sgml-tools
- Remove redundant BuildRequires: glibc-devel, XFree86-devel

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010731-1mdk
- 20010731.
- Rework completly the specfile (move wine from /usr/X11R6 in /usr).
- Add binfmt service to let use launch .exe file directly with wine.
- Merge rh changes.
- Requires latest setup for wine user.

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 20010629-1mdk
- 20010629

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010510-1mdk
- 20010510.

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010418-1mdk
- 20010418.

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 20010326-1mdk
- 20010326

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010305-1mdk
- Add /usr/X11R6/lib/wine to ld.so.conf.
- Rewrote all automaticall detection scripts and default config.
- 20010305.

* Thu Dec 07 2000 David BAUDENS <baudens@mandrakesoft.com> 20001202-1mdk
- 20001202
- Disable optimizations for this release (don't build)

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-4mdk
- Move libraries in %%prefix/lib/wine

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-3mdk
- Add flex bison (Frederic CROZAT) and Mesa-common-devel to BuildRequires
- Little spec clean up

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-2mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-1mdk
- 20001026

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 20001002-1mdk
- 20001002

* Mon Sep 11 2000 David BAUDENS <baudens@mandrakesoft.com> 20000909-1mdk
- 20000909

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-5mdk
- Rebuild with right options

* Sun Sep 03 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-4mdk
- Allow to use without install devel package

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-3mdk
- Add packager tag

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-2mdk
- Add librpcrt4.so in devel package

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-1mdk
- 20000821
- Make RPMLint happy (thanks to Guillaume COTTENCEAU)
- Split in two packages (devel and non devel)

* Mon Aug 14 2000 David BAUDENS <baudens@mandrakesoft.com> 20000801-2mdk
- Fix macro disastear
- Enable OpenGL - It needs a lot of tests, so please report bugs
- Some little enhancements in wine-config
- Back in /usr/X11R6
- Spec clean up

* Tue Aug 08 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 20000801-1mdk
- s|20000716|20000801|
- *real* macrosifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000716-2mdk
- automatically added BuildRequires

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 20000716-1mdk
- 20000716
- BM
- Move into /usr

* Mon Jul 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20000614-1mdk
- 20000614
- Make Pixel happy

* Sat May 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000526-1mdk
- 20000526

* Mon May 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000430-1mdk
- 20000430
- spec cleanup
- Update URL
- Update LICENSE

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-1mdk
- 20000227

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %post %postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %prefix definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or %prefix
- changed %post so it is only done the *first* time it is installed 
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on %prefix
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
